import networkx as nx
import matplotlib.pyplot as plt

def show_system(system_graph):
	g=nx.Graph()
	for e in system_graph.system_edges:
		g.add_edge(e.start_vertex.system_data.source_id,e.end_vertex.system_data.source_id)
	nx.draw(g,with_labels=True)
	plt.show()

def show_floor(floor_graph):
	for s in floor_graph.system_graphs:
		show_system(s)